# Matrix Diagram for MechKeys ACR60

```
                                                    ┌───────┐
                                       2u Backspace │0E     │
                                                    └───────┘
┌───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┐
│00 │01 │02 │03 │04 │05 │06 │07 │08 │09 │0A │0B │0C │0D │0E │
├───┴─┬─┴─┬─┴─┬─┴─┬─┴─┬─┴─┬─┴─┬─┴─┬─┴─┬─┴─┬─┴─┬─┴─┬─┴─┬─┴───┤      ┌─────┐
│10   │12 │13 │14 │15 │16 │17 │18 │19 │1A │1B │1C │1D │1E   │      │     │
├─────┴┬──┴┬──┴┬──┴┬──┴┬──┴┬──┴┬──┴┬──┴┬──┴┬──┴┬──┴┬──┴─────┤   ┌──┴┐2D  │ ISO Enter
│20    │22 │23 │24 │25 │26 │27 │28 │29 │2A │2B │2C │2D      │   │1E │    │
└──────┴───┴───┴───┴───┴───┴───┴───┴───┴───┴───┴───┴────────┘   └───┴────┘
Shift Row Options:
┌───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┐
│30 │31 │32 │33 │34 │35 │36 │37 │38 │39 │3A │3B │3C │3D │3E │
└───┴───┴───┴───┴───┴───┴───┴───┴───┴───┴───┴───┴───┴───┴───┘
┌───────┐                                           ┌───────┐
│30     │ 2u LShift                       2u RShift │3D     │
└───────┘                                           └───────┘
┌────┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬───┬──────┬───┐
│30  │31 │32 │33 │34 │35 │36 │37 │38 │39 │3A │3B │3D    │3E │ Standard with Split Shifts
└────┴───┴───┴───┴───┴───┴───┴───┴───┴───┴───┴───┴──────┴───┘   1.25u/1u LShift + 1u/1.75u/1u RShift
┌────────┐                                   ┌───┬──────────┐
│30      │ 2.25u LShift                      │3B │3D        │ 2.75u RShift
└────────┘                                   └───┴──────────┘
                                             ┌──────┬───┬───┐
                                             │3C    │3D │3E │ 1.75u/1u/1u RShift
                                             └──────┴───┴───┘
Bottom Row Options:
┌────┬────┬────┬────────┬────┬──────────┬───┬───┬───┬───┬───┐
│40  │41  │43  │44      │46  │48        │4A │4B │4C │4D │4E │ 5x 1u Mods
└────┴────┴────┴────────┴────┴──────────┴───┴───┴───┴───┴───┘
                Split Spacebar
                [2.25/1.25/2.75] or [2.75/1.25/2.25]
               ┌──────────┬────┬────────┐
               │44        │46  │48      │
               └──────────┴────┴────────┘
┌────┬────┬────┬────────────────────────┬────┬────┬────┬────┐ ┐
│40  │41  │43  │46                      │4A  │4B  │4D  │4E  │ ├─ Standard
└────┴────┴────┴────────────────────────┴────┴────┴────┴────┘ │    or
┌─────┬───┬─────┬───────────────────────┬─────┬───┬───┬─────┐ │  Infinity/True HHKB
│40   │41 │43   │46                     │4A   │4B │4D │4E   │ │    (same matrix)
└─────┴───┴─────┴───────────────────────┴─────┴───┴───┴─────┘ ┘
┌─────┬───┬────┬────────────────────────┬───┬───┬───┬───┬───┐
│40   │41 │43  │46                      │4A │4B │4C │4D │4E │
└─────┴───┴────┴────────────────────────┴───┴───┴───┴───┴───┘
┌─────┬─────┬───────────────────────────┬───┬───┬───┬───┬───┐
│40   │41   │46                         │4A │4B │4C │4D │4E │ LWKL
└─────┴─────┴───────────────────────────┴───┴───┴───┴───┴───┘
┌─────┬───┬─────┬───────────────────────────┬─────┬───┬─────┐
│40   │41 │43   │46                         │4B   │4D │4E   │ Tsangan/WKL/HHKB
└─────┴───┴─────┴───────────────────────────┴─────┴───┴─────┘
┌─────┬───┬─────┬───────────────────────────┬───┬───┬───┬───┐
│40   │41 │43   │46                         │4B │4C │4D │4E │ Tsangan Arrow
└─────┴───┴─────┴───────────────────────────┴───┴───┴───┴───┘
```
